<div class="wrapper">

	<header>
		<h1>/* MAINTENANCE OPERATIONS */</h1>
		<p>Maintenance operations may disrupt Sketchnote links in use. Proceed only if you know what you are doing.</p>
	</header>

	<div id="main">

		<!-- Operations links -->
		<nav>
			<ul>
				<li><a href="" class="operation link current" id="link_0" data-num="0" >Backup all content</a></li>
				<li><a href="" class="operation link" id="link_1" data-num="1">Clean up</a></li>
				<li><a href="" class="operation link" id="link_2" data-num="2">Display data size</a></li>

				<li class="break"><a href="" class="operation link " id="link_3" data-num="3">Clean selected data</a></li>
				<li><a href="" class="operation link " id="link_4" data-num="4">Clean production page</a></li>


				<li class="break"><a href="" class="operation link " id="link_5" data-num="5">Remove selected preview</a></li>
				<li><a href="" class="operation link" id="link_6" data-num="6">Remove selected mask</a></li>
				<li><a href="" class="operation link" id="link_7" data-num="7">Remove selected annotations</a></li>
				
			</ul>
		</nav>


		<!-- Operations views -->

		<article >
			<section class="operation view" id="view_0" data-script='backup_all'>
				<h1>Backup all content</h1>
				<p>Backups <u>all content of the json_annotations folder</u> for the current instance. It Provides a downloadable archive at the end.</p>
			</section>
			<section class="operation view off" id="view_1" data-script='clean_up'>
				<h1>Clean up empty folders</h1>
			<p>Removes <u>empty folders</u> in json_annotations for the current instance.</p>
			</section>
			<section class="operation view off" id="view_2" data-script='display_data'>
				<h1>Display data size</h1>
			<p>Display <u>size of data</u> genereated for each model</p>
			</section>


			<section class="operation view off" id="view_3" data-script='clean_selected_data'>
				<h1>Clean selected data</h1>
				<p>Removes <u>all annotatons not tagged as 'in production'</u>. Annotation images and drawings are removed only if not associated with a production link</p>
				<p style='margin-top:0.5em;color: var(--ui-color);'>A backup (.zip archive) will be available</p>

			</section>
			<section class="operation view off" id="view_4" data-script='clean_production_page'>
				<h1>Clean production links page</h1>
				<p>Removes <u>a link from the production links page.</u>. Data are not removed (links keep working) but are not tagged 'in production' anymore and not displayed in the production links page</p>
			</section>

			<section class="operation view off" id="view_5" data-script='remove_selected_preview'>
				<h1>Remove selected preview</h1>
				<p>Removes <u>the preview of a selected model</u> from the json_annotations folder of this current instance. Usualy executed when the current preview no longer matches a new version of the 3D model file uploaded. A 3D model preview image is automatically recreated the first time someone open the model in Sketchnote Editor.</p>
			</section>
			<section class="operation view off" id="view_6" data-script='remove_selected_mask'>
				<h1>Remove a collision mask</h1>
				<p>Removes <u>the collision mask of a selected model</u> from the json_annotations folder of this current instance. Usualy executed when a problem occurs with the current collision mask. Masks are light weight .glb files used for fast raycasting technics and recreated the first time someone open the model in Sketchnote Editor or Viewer. </p>
			</section>
			<section class="operation view off" id="view_7" data-script='remove_selected_data'>
				<h1>Remove selected annotations data</h1>
				<p>Removes <u>all annotations data of a selected model</u> from the json_annotations folder of this current instance. <br><b>WARNING - Annotations are created by users, current active Sketchnote links will not be able to retrieve annotations data.</b></p>
				<p style='margin-top:0.5em;color: var(--ui-color);'>A backup (.zip archive) will be available</p>
			</section>
		
			<iframe src="" id ="script"></iframe>
			<button id="execute" class="execute_btn">Execute</button>
		</article>

	</div>

	<footer>
	</footer>
</div>